--- title: "Set external IdP login" slug: "put-login-setting" updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/put-login-setting" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Set external IdP login Available in Classic and VPC Set the login information for external IdP. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v1/tenant/login-settings | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `idleSessionExpDuration` | Integer | Required | Session expiration time of logged in external account (second) - `600` \| `1800` \| `3600` \| `10800` | | `multipleLoginAllowed` | Boolean | Required | Whether to allow duplicate login - `true` \| `false` - `true`: allow - `false`: not allow - If duplicate logins are not allowed, only one session per SSO role can be connected | | `possessionAuthenticationEnabled` | Boolean | Required | Whether to apply occupancy authentication - `true` \| `false` - `true`: apply - `false`: not apply - If `multiFactorAuthenticationEnabled` is `true`, `false` is unavailable - When applying occupancy authentication, SSO users can register and manage their verified email/SMS information within the NAVER Cloud Platform | | `possessionAuthenticationTypes` | Array | Required | Occupancy authentication method type - `SMS` \| `Email` - `SMS`: SMS - `Email`: email - Both can be entered | | `multiFactorAuthenticationEnabled` | Boolean | Required | Whether to apply two-factor authentication - `true` \| `false` - `true`: apply - `false`: not apply - When applying two-factor authentication, the SSO user must enter their ID and password when logging in, and then select between email/SMS/OTP to proceed with additional authentication | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://sso.apigw.ntruss.com/api/v1/tenant/login-settings' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "idleSessionExpDuration": "600", "multipleLoginAllowed": true, "possessionAuthenticationEnabled": true, "possessionAuthenticationTypes": [ "SMS", "Email" ], "multiFactorAuthenticationEnabled": true }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API processing result | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true } ```